# Interface methods for submodule: WienerDeconvolutionImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InverseDeconvolutionImageFilterProxy as _InverseDeconvolutionImageFilterProxy


# Interface methods for class: WienerDeconvolutionImageFilter
class WienerDeconvolutionImageFilterProxy(_InverseDeconvolutionImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetNoiseVariance(self, _arg: float) -> None:
		""""""
		...

	def GetNoiseVariance(self) -> float:
		""""""
		...

